#include <bits/stdc++.h>

using namespace std;

int n;
int kolona[100005];
int vrsta[100005];
int s,i,r,c;

int main() {
    
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin>>n;
    
    bool fk=true, fv=true;
    
    for(i=1;i<=n;i++)
    {
        cin>>r>>c;
        vrsta[r]++;
        kolona[c]++;
        if(kolona[c]>1)
            fk=false;
        if(vrsta[r]>1)
            fv=false;
    }
    
    if(fk&&fv)
        cout<<0;
    else
        {
            if(n==2)
            {
                cout<<1;
            }
            else
            {
            s=0;
            r=0;
            c=0;
            for(i=1;i<=n;i++)
            {
               while(vrsta[i]>1)
               {
                   while(vrsta[r]!=0)
                        r++;
                    vrsta[r]++;
                    vrsta[i]--;
                    s+=abs(r-i);
               }
               while(kolona[i]>1)
               {
                   while(kolona[c]!=0)
                        c++;
                    kolona[c]++;
                    kolona[i]--;
                    s+=abs(c-i);
               }
            }
            cout<<s;
            }
        }
        
    
    
    return 0;
}